.login-loader-container .keyboard-spinner,.register-loader-container .keyboard-spinner{
  margin:auto;
  width: 90px;
  position: relative;
  top: -3px;
}

.keyboard-spinner {
  width: 100%;
  height: 100px;
}

.keyboard-spinner .block {
  position: relative;
  box-sizing: border-box;
  float: left;
  margin: 0 2% 2% 0;
  width: 8%;
  padding: 4%;
  border-radius: 3px;
  background: rgba(255,255,255,0.5);
}

.keyboard-spinner .block.space {
  width: 50%;
  margin-left: 25%;
}
.block:nth-child(8n+1) { animation: waveKey 2s ease .0s infinite; }
.block:nth-child(8n+2) { animation: waveKey 2s ease .2s infinite; }
.block:nth-child(8n+3) { animation: waveKey 2s ease .4s infinite; }
.block:nth-child(8n+4) { animation: waveKey 2s ease .6s infinite; }
.block:nth-child(8n+5) { animation: waveKey 2s ease .8s infinite; }
.block:nth-child(8n+6) { animation: waveKey 2s ease 1s infinite; }
.block:nth-child(8n+7) { animation: waveKey 2s ease 1.2s infinite; }
.block:nth-child(8n+8) { animation: waveKey 2s ease 1.4s infinite; }

@keyframes waveKey {
  0%   { top: 0;     opacity: 0.8; }
  50%  { top: 1px;  opacity: .5; }
  100% { top: 0;     opacity: 0.8; box-shadow: 1px 1px white }
}